org.jbpm.workflow.instance.impl

## Class NodeInstanceImpl

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance
  Direct Known Subclasses:
    ActionNodeInstance, CatchLinkNodeInstance, CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance, ExtendedNodeInstanceImpl, FaultNodeInstance, ForEachNodeInstance.ForEachJoinNodeInstance, ForEachNodeInstance.ForEachSplitNodeInstance, JoinInstance, SplitInstance, StartNodeInstance, ThrowLinkNodeInstance

      public abstract class NodeInstanceImpl
      extends Object
      implements NodeInstance, Serializable

  Default implementation of a RuleFlow node instance.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `dynamicParameters`
    `protected static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstanceImpl()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `protected void` | `executeAction(Action action)` This method is used in both instances of the `ExtendedNodeInstanceImpl` and `ActionNodeInstance` instances in order to handle exceptions thrown when executing actions.
    `protected NodeInstance` | `followConnection(org.kie.api.definition.process.Connection connection)`
    `long` | `getId()`
    `int` | `getLevel()`
    `Map<String,Object>` | `getMetaData()`
    `Object` | `getMetaData(String name)`
    `org.kie.api.definition.process.Node` | `getNode()`
    `long` | `getNodeId()`
    `org.kie.api.runtime.process.NodeInstanceContainer` | `getNodeInstanceContainer()`
    `String` | `getNodeName()`
    `WorkflowProcessInstance` | `getProcessInstance()`
    `String` | `getUniqueId()`
    `Object` | `getVariable(String variableName)`
    `abstract void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `boolean` | `isInversionOfControl()`
    `Context` | `resolveContext(String contextId, Object param)`
    `ContextInstance` | `resolveContextInstance(String contextId, Object param)`
    `void` | `retrigger(boolean remove)`
    `void` | `setDynamicParameters(Map<String,Object> dynamicParameters)`
    `void` | `setId(long id)`
    `void` | `setLevel(int level)`
    `void` | `setMetaData(String name, Object data)`
    `void` | `setNodeId(long nodeId)`
    `void` | `setNodeInstanceContainer(org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer)`
    `void` | `setProcessInstance(WorkflowProcessInstance processInstance)`
    `void` | `setVariable(String variableName, Object value)`
    `void` | `trigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `protected void` | `triggerCompleted(String type, boolean remove)`
    `protected void` | `triggerConnection(org.kie.api.definition.process.Connection connection)`
    `void` | `triggerNode(long nodeId)`
    `protected void` | `triggerNodeInstance(NodeInstance nodeInstance, String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### dynamicParameters

          protected transient Map<String,Object> dynamicParameters

  - ### Constructor Detail

    - #### NodeInstanceImpl

          public NodeInstanceImpl()

  - ### Method Detail

    - #### setId

          public void setId(long id)

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### setNodeId

          public void setNodeId(long nodeId)

    - #### getNodeId

          public long getNodeId()

      Specified by:
        `getNodeId` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int level)

    - #### setProcessInstance

          public void setProcessInstance(WorkflowProcessInstance processInstance)

    - #### getProcessInstance

          public WorkflowProcessInstance getProcessInstance()

      Specified by:
        `getProcessInstance` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### getNodeInstanceContainer

          public org.kie.api.runtime.process.NodeInstanceContainer getNodeInstanceContainer()

      Specified by:
        `getNodeInstanceContainer` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### setNodeInstanceContainer

          public void setNodeInstanceContainer(org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer)

    - #### getNode

          public org.kie.api.definition.process.Node getNode()

      Specified by:
        `getNode` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### isInversionOfControl

          public boolean isInversionOfControl()

    - #### cancel

          public void cancel()

    - #### trigger

          public final void trigger(org.kie.api.runtime.process.NodeInstance from,
                                    String type)

    - #### internalTrigger

          public abstract void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                               String type)

    - #### executeAction

          protected void executeAction(Action action)

      This method is used in both instances of the `ExtendedNodeInstanceImpl` and `ActionNodeInstance` instances in order to handle exceptions thrown when executing actions.
      Parameters:
        `action` - An `Action` instance.

    - #### triggerCompleted

          protected void triggerCompleted(String type,
                                          boolean remove)

    - #### followConnection

          protected NodeInstance followConnection(org.kie.api.definition.process.Connection connection)

    - #### triggerNodeInstance

          protected void triggerNodeInstance(NodeInstance nodeInstance,
                                             String type)

    - #### triggerConnection

          protected void triggerConnection(org.kie.api.definition.process.Connection connection)

    - #### retrigger

          public void retrigger(boolean remove)

    - #### triggerNode

          public void triggerNode(long nodeId)

    - #### resolveContext

          public Context resolveContext(String contextId,
                                        Object param)

    - #### resolveContextInstance

          public ContextInstance resolveContextInstance(String contextId,
                                                        Object param)

    - #### getVariable

          public Object getVariable(String variableName)

      Specified by:
        `getVariable` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### setVariable

          public void setVariable(String variableName,
                                  Object value)

      Specified by:
        `setVariable` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### getUniqueId

          public String getUniqueId()

    - #### getMetaData

          public Map<String,Object> getMetaData()

    - #### getMetaData

          public Object getMetaData(String name)

    - #### setMetaData

          public void setMetaData(String name,
                                  Object data)

    - #### setDynamicParameters

          public void setDynamicParameters(Map<String,Object> dynamicParameters)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.